_requre:
  DataTypes: 1
  key_strategy: StorageKeysInspectSimple
  version_storage_file: 3
nitrate.xmlrpc_driver:
  single_request_with_cookies:
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.mutable
      - nitrate.base
      - nitrate.immutable
      - nitrate.base
      - nitrate.xmlrpc_driver
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - 8vevwm4pntsntdkhafyj3cmcuk1or64d
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.mutable
      - nitrate.base
      - nitrate.immutable
      - nitrate.base
      - nitrate.immutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - classification: Other
        classification_id: 5
        default_milestone: '---'
        description: Test coverage for Red Hat Enterprise Linux. Use for tracking
          bugs in automated and manual test cases.
        disallow_new: false
        id: 182
        max_vote_super_bug: 10000
        milestone_url: SomeText
        name: RHEL Tests
        vote_super_user: 0
        votes_to_confirm: false
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.mutable
      - nitrate.base
      - nitrate.immutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - description: ''
      id: 518
      name: Sanity
      product: RHEL Tests
      product_id: 182
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.mutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - alias: ''
      arguments: ''
      attachment: []
      author: psplicha
      author_id: 2117
      case_id: 614033
      case_status: PROPOSED
      case_status_id: 1
      category: Sanity
      category_id: 518
      component: []
      create_date: '2022-07-01 19:35:25'
      default_tester: null
      default_tester_id: null
      estimated_time: 00:00:00
      extra_link: ''
      is_automated: 1
      is_automated_proposed: false
      notes: null
      plan: []
      priority: P3
      priority_id: 3
      requirement: ''
      reviewer: null
      reviewer_id: null
      script: null
      summary: tmt /new_testcase - This is new testcase inside nitrate
      tag: []
      text:
        action: ''
        action_checksum: d41d8cd98f00b204e9800998ecf8427e
        author: psplicha
        author_id: 2117
        breakdown: ''
        breakdown_checksum: d41d8cd98f00b204e9800998ecf8427e
        case: tmt /new_testcase - This is new testcase inside nitrate
        case_id: 614033
        case_text_version: 1
        create_date: '2022-07-01 19:35:25'
        effect: ''
        effect_checksum: d41d8cd98f00b204e9800998ecf8427e
        id: 883930
        setup: ''
        setup_checksum: d41d8cd98f00b204e9800998ecf8427e
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.containers
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - []
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.containers
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - []
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.containers
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - null
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.base
      - nitrate.mutable
      - nitrate.base
      - nitrate.immutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - description: ''
      id: 518
      name: Sanity
      product: RHEL Tests
      product_id: 182
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.base
      - nitrate.mutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - alias: ''
        arguments: ''
        attachment: []
        author: psplicha
        author_id: 2117
        case_id: 614033
        case_status: PROPOSED
        case_status_id: 1
        category: Sanity
        category_id: 518
        component: []
        create_date: '2022-07-01 19:35:25'
        default_tester: null
        default_tester_id: null
        estimated_time: 00:05:00
        extra_link: ''
        is_automated: 1
        is_automated_proposed: false
        notes: null
        plan: []
        priority: P3
        priority_id: 3
        requirement: ''
        reviewer: null
        reviewer_id: null
        script: null
        summary: tmt /new_testcase - This is new testcase inside nitrate
        tag:
        - 10700
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.base
      - nitrate.mutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - alias: ''
        arguments: ''
        attachment: []
        author: psplicha
        author_id: 2117
        case_id: 614033
        case_status: CONFIRMED
        case_status_id: 2
        category: Sanity
        category_id: 518
        component: []
        create_date: '2022-07-01 19:35:25'
        default_tester: null
        default_tester_id: null
        estimated_time: 00:05:00
        extra_link: ''
        is_automated: 1
        is_automated_proposed: false
        notes: null
        plan: []
        priority: P3
        priority_id: 3
        requirement: ''
        reviewer: null
        reviewer_id: null
        script: null
        summary: tmt /new_testcase - This is new testcase inside nitrate
        tag:
        - 10700
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.base
      - nitrate.mutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - alias: ''
        arguments: ' '
        attachment: []
        author: psplicha
        author_id: 2117
        case_id: 614033
        case_status: CONFIRMED
        case_status_id: 2
        category: Sanity
        category_id: 518
        component: []
        create_date: '2022-07-01 19:35:25'
        default_tester: null
        default_tester_id: null
        estimated_time: 00:05:00
        extra_link: ''
        is_automated: 1
        is_automated_proposed: false
        notes: null
        plan: []
        priority: P3
        priority_id: 3
        requirement: ''
        reviewer: null
        reviewer_id: null
        script: null
        summary: tmt /new_testcase - This is new testcase inside nitrate
        tag:
        - 10700
  - metadata:
      guess_type: Tuple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - nitrate.base
      - nitrate.mutable
      - xmlrpc.client
      - requre.objects
      - requre.cassette
      - nitrate.xmlrpc_driver
      - single_request_with_cookies
    output:
    - - alias: ''
        arguments: ' '
        attachment: []
        author: psplicha
        author_id: 2117
        case_id: 614033
        case_status: CONFIRMED
        case_status_id: 2
        category: Sanity
        category_id: 518
        component: []
        create_date: '2022-07-01 19:35:25'
        default_tester: null
        default_tester_id: null
        estimated_time: 00:05:00
        extra_link: ''
        is_automated: 1
        is_automated_proposed: false
        notes: 'Test case has been migrated to git. Any changes made here might be
          overwritten.

          See: https://tmt.readthedocs.io/en/latest/questions.html#nitrate-migration


          [structured-field-start]

          This is StructuredField version 1. Please, edit with care.


          [description]

          This is new testcase inside nitrate


          [purpose-file]

          Please remove this case before data regeneration


          [fmf]

          name: /new_testcase

          url: https://github.com/teemtee/tmt.git

          ref: pr1118

          path: /tests/integrationukl7hp2n


          [id]

          0a0a80b5-5a78-4771-9700-2c4610091b91


          [structured-field-end]

          '
        plan: []
        priority: P3
        priority_id: 3
        requirement: ''
        reviewer: null
        reviewer_id: null
        script: null
        summary: tmt /new_testcase - This is new testcase inside nitrate
        tag:
        - 10700
tmt.utils.git:
  check_git_url:
  - metadata:
      guess_type: Simple
      latency: 0.0
      module_call_list:
      - unittest.case
      - integration.test_nitrate
      - click.testing
      - click.core
      - click.decorators
      - tmt.cli
      - tmt.base.core
      - tmt.export
      - requre.objects
      - requre.cassette
      - tmt.utils
      - check_git_url
    output: https://github.com/teemtee/tmt.git
